[arch-commits] Commit in libxinerama/repos (3 files)

Eric Bélanger eric at archlinux.org
Tue Apr 14 19:52:29 EDT 2009


    Date: Tuesday, April 14, 2009 @ 19:52:29
  Author: eric
Revision: 35638

Merged revisions 35637 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxinerama/trunk

........
  r35637 | eric | 2009-04-14 19:52:15 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxinerama 1.0.3-2
      Added license
........

Added:
  libxinerama/repos/extra-x86_64/LICENSE
    (from rev 35637, libxinerama/trunk/LICENSE)
Modified:
  libxinerama/repos/extra-x86_64/	(properties)
  libxinerama/repos/extra-x86_64/PKGBUILD

----------+
 LICENSE  |   24 ++++++++++++++++++++++++
 PKGBUILD |   13 +++++++------
 2 files changed, 31 insertions(+), 6 deletions(-)


Property changes on: libxinerama/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxinerama/trunk:1-1660
   + /libxinerama/trunk:1-35637

Copied: libxinerama/repos/extra-x86_64/LICENSE (from rev 35637, libxinerama/trunk/LICENSE)
===================================================================
--- extra-x86_64/LICENSE	                        (rev 0)
+++ extra-x86_64/LICENSE	2009-04-14 23:52:29 UTC (rev 35638)
@@ -0,0 +1,24 @@
+/*****************************************************************
+Copyright (c) 1991, 1997 Digital Equipment Corporation, Maynard, Massachusetts.
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software.
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+DIGITAL EQUIPMENT CORPORATION BE LIABLE FOR ANY CLAIM, DAMAGES, INCLUDING,
+BUT NOT LIMITED TO CONSEQUENTIAL OR INCIDENTAL DAMAGES, OR OTHER LIABILITY,
+WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
+IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of Digital Equipment Corporation
+shall not be used in advertising or otherwise to promote the sale, use or other
+dealings in this Software without prior written authorization from Digital
+Equipment Corporation.
+******************************************************************/

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-14 23:52:15 UTC (rev 35637)
+++ extra-x86_64/PKGBUILD	2009-04-14 23:52:29 UTC (rev 35638)
@@ -3,20 +3,21 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxinerama
 pkgver=1.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Xinerama extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxext' 'xineramaproto')
 makedepends=('pkgconfig')
 options=(!libtool)
-source=(${url}/releases/individual/lib/libXinerama-${pkgver}.tar.bz2)
+source=(${url}/releases/individual/lib/libXinerama-${pkgver}.tar.bz2 LICENSE)
+md5sums=('cd9f7c46439ac40e0517a302d2434d2c' '098e0bc089368a988092b3cbda617a57')
 
 build() {
-  cd ${startdir}/src/libXinerama-${pkgver}
+  cd ${srcdir}/libXinerama-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 ../LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-
-md5sums=('cd9f7c46439ac40e0517a302d2434d2c')



More information about the arch-commits mailing list